<?php
/*
 * database2/Transaction.class.php
 * 
 * CopyRight(C) 2010 Shopformer Development Team. All Right Reserved
 * URL: http://sourceforge.jp/projects/shopformer/
 * 
 * 
 * Mail: m_nakashima@users.sourceforge.jp
 * Auther: Masanori Nakashima
 * Last Update: 2010-06-18
 */
require_once( dirname(dirname(__FILE__))
.DIRECTORY_SEPARATOR.'spider'
.DIRECTORY_SEPARATOR.'ModuleBase.class.php');
require_once( dirname(__FILE__)
.DIRECTORY_SEPARATOR.'PackageConfig.class.php');
require_once( dirname(__FILE__)
.DIRECTORY_SEPARATOR.'Connection.class.php');
/**
 * spider : データベーストランザクション開始用アクションモジュールクラス
 * 
 * spiderのページから呼び出して実行します。
 * 設定ファイルpackage_define.inc.phpに記述したデータベース接続情報を元に
 * database.Connection実装クラスのインスタンスを作成してデータベースに接続し
 * リクエスト属性「database.connection」として登録します。
 * 
 * @package database データベースパッケージ
 * @version 2.0.0
 * @author  <m_nakashima@users.sourceforge.jp>
 * @since PHP 4.0
 */
class database2_Transaction extends spider_ModuleBase {
	function database2_Transaction() {
	}
	function execute( & $request ) {	
		$dbo	= $request->getAttribute( 'dbo' );
		$dbo->beginTransaction();
	}
	function post_process( & $request ) {
		$dbo	= $request->getAttribute( 'dbo' );
		if ( $request->isError() ) {
			$dbo->rollback();
		} else {
			$dbo->commit();
		}
	}
}
?>